Bug 428101 - BackupPC should depend on par2cmdline
BackupPC should depend on par2cmdline
Product: Fedora
Classification: Fedora
Component: BackupPC (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-09 03:21 EST by Joe Bayes
Modified: 2008-08-08 23:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-27 18:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2008-01-09 03:21:14 EST
BackupPC's web configuration interface wants a working par2, and refuses to save
the config files unless it exists. Therefore, BackupPC should depend on par2cmdline.

Version-Release number of selected component (if applicable):
Comment 1 Johan Cwiklinski 2008-01-14 09:27:31 EST
The default configuration file has 'par' disabled ($Conf{ArchivePar} = 0;).

As it is not enabled by default at install time, I'm not sure including it as a
Require is a good thing.
Also, with this default configuration, using web interface to change
configuration works correctly.
Comment 2 Joe Bayes 2008-01-14 11:30:15 EST
Well, if I change the par2 config line in the web interface (under the server
tab) from /usr/bin/par2 to /usr/bin/qux (which does not exist) and click "save",
the page says 

   Error: No save due to errors
   Error: ParPath must be a valid executable path

and config.pl is unmodified. This is a problem because the user may have changed
other, more important settings that will not get saved. 

I suppose the user could work around it by typing /bin/false (or any other
executable) into the par2 configuration line, as long as they don't plan on
using the ArchivePar feature. 

The Right Thing To Do is probably to have the web interface not require a
working par2 unless ArchivePar==1. 
Comment 3 Johan Cwiklinski 2008-01-14 14:39:17 EST
I'll try to reproduce these error and see what I could do ;)
Comment 4 Johan Cwiklinski 2008-07-27 18:51:38 EDT
$Conf{ParPath} now defaults to null (not sure it was previously the case). 

If you put it to a path that does not exists, simply blanking the input should
allow you to store config.pl.

If problem is still present, feel free to reopen this bug.
Comment 5 Joe Bayes 2008-08-08 23:36:28 EDT
It works now. Thanks.

Note You need to log in before you can comment on or make changes to this bug.